Fish_TorpedoRankType = {}

function Fish_TorpedoRankType:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_TorpedoRankType:init()
	self.datas = {}
	self.datas[0] = {ID = 0, RankType = nil, NoticeValue = {33000,110000,480000,1200000,4800000}, Limit = {}}
	self.datas[-1] = {ID = -1, RankType = nil, NoticeValue = {25000,75000,300000,800000,3600000}, Limit = {}}
	self.datas[1] = {ID = 1, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
	self.datas[2] = {ID = 2, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
	self.datas[3] = {ID = 3, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
	self.datas[4] = {ID = 4, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
	self.datas[5] = {ID = 5, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
	self.datas[6] = {ID = 6, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
	self.datas[7] = {ID = 7, RankType = 0, NoticeValue = {}, Limit = {0,0,0,0,0,15000000,150000000}}
end

Fish_TorpedoRankType:init()
